<?php
/*
$LastChangedDate: 2014-07-12 13:17:17 -0700 (Sat, 12 Jul 2014) $
$Rev: 11743 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_do_TopicDescription($args='') {
	global $spThisTopic;

	# bail if no topic description
	if (empty($spThisTopic->topic_desc)) return '';

	$defs = array('tagId' 		=> 'spTopicDescription%ID%',
				  'tagClass' 	=> 'spTopicDescription',
                  'echo'        => 1,
				  );
	$a = wp_parse_args($args, $defs);
	$a = apply_filters('sph_TopicDescription_args', $a);
	extract($a, EXTR_SKIP);

	# sanitize before use
	$tagId			= esc_attr($tagId);
	$tagClass		= esc_attr($tagClass);
	$echo  	   	    = (int) $echo;

	$tagId = str_ireplace('%ID%', $spThisTopic->topic_id, $tagId);

	$out = '';
    $out.= "<div id='$tagId' class='$tagClass'>$spThisTopic->topic_desc</div>";

	$out = apply_filters('sph_TopicDescription', $out, $a);

	if ($echo) {
		echo $out;
	} else {
		return $out;
	}
}
?>