<?php
/*
Simple:Press
Topic Description Plugin components Routine
$LastChangedDate: 2015-01-02 09:51:41 -0800 (Fri, 02 Jan 2015) $
$Rev: 12294 $
*/

function sp_topic_description_do_head() {
   	$css = sp_find_css(SPTDCSS, 'sp-topic-description.css', 'sp-topic-description.spcss');
    sp_plugin_enqueue_style('sp-topic_description', $css);
}

function sp_topic_description_do_topic_form($out, $a) {
	extract($a, EXTR_SKIP);

    $label = apply_filters('sph_topic_description_label', __('Topic description', 'sp-topic-description'));
	$out.= "<br />$label: ";
	$out.= "<textarea id='spTopicDesc' rows='2' class='$controlInput spTopicDescription' name='newtopicdesc'></textarea>\n";

    return $out;
}

function sp_topic_description_do_create_topic($newpost) {
    if ($newpost['action'] == 'post') return;

	$description = sp_filter_text_save(trim($_POST['newtopicdesc']));
	if (!empty($description)) spdb_query('UPDATE '.SFTOPICS." SET topic_desc='$description' WHERE topic_id=".$newpost['topicid']);
}

function sp_topic_description_do_display_desc($out, $a) {
    global $spThisTopic;

    $temp = '';
    if (!empty($spThisTopic->topic_desc)) $temp.= "<div id='spTopicHeaderDescription' class='spHeaderDescription'>$spThisTopic->topic_desc</div>";
    $temp = apply_filters('sph_topic_description', $temp);
    $out.= $temp;
    return $out;
}

function sp_topic_description_do_edit($out, $topic) {
	$out.= '<div class="spHeaderName">'.__('Topic Description', 'sp-topic-description').':</div>';
	$out.= '<div><textarea class="spControl" name="topicdesc" rows="2">'.esc_textarea($topic->topic_desc).'</textarea></div>';
    return $out;
}

function sp_topic_description_do_edit_topic_desc($topicid) {
	$description = sp_filter_text_save(trim($_POST['topicdesc']));
	spdb_query('UPDATE '.SFTOPICS." SET topic_desc='$description' WHERE topic_id=$topicid");
}
?>