<?php
/*
Simple:Press
Topic Description plugin install/upgrade routine
$LastChangedDate: 2014-06-07 14:32:19 -0700 (Sat, 07 Jun 2014) $
$Rev: 11528 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_topic_description_do_upgrade_check() {
    if (!sp_is_plugin_active('topic-description/sp-topic-description-plugin.php')) return;

    $td = sp_get_option('topic-description');

    $db = $td['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPTDDBVERSION ) return;

    # apply upgrades as needed

    # db version upgrades

    # save data
    $td['dbversion'] = SPTDDBVERSION;
    sp_update_option('topic-description', $td);
}

?>